Bug 1032771 - Avoid crashes/malfunction when using NSS shared db (NSS_DEFAULT_DB_TYPE=sql)
Avoid crashes/malfunction when using NSS shared db (NSS_DEFAULT_DB_TYPE=sql)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xulrunner (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Stransky
Desktop QE
:
Depends On: 1032770 1032773
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 14:57 EST by Kai Engert (:kaie)
Modified: 2014-01-07 02:17 EST (History)
6 users (show)

See Also:
Fixed In Version: RHSA-2013:1812
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1032770
Environment:
Last Closed: 2014-01-06 10:45:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 938730 None None None Never

  None (edit)
Description Kai Engert (:kaie) 2013-11-20 14:57:30 EST
+++ This bug was initially created as a clone of Bug #1032770 +++

When using NSS shared DB with Mozilla (actived by setting environment variable NSS_DEFAULT_DB_TYPE=sql), memory allocators are being mixed in system sqlite code, and we crash (or we malfunction).

This is fixed upstream in Mozilla 28, using a makefile patch.

I propose to pick up the patch in RHEL's ESR24.

--- Additional comment from Kai Engert (:kaie) on 2013-11-20 14:55:05 EST ---

Patch: https://hg.mozilla.org/integration/mozilla-inbound/rev/247ff2131af5
Comment 2 RHEL Product and Program Management 2013-11-23 16:01:29 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Martin Stransky 2013-12-02 08:52:38 EST
Added to firefox-24.1.0-4.el6 package.

Note You need to log in before you can comment on or make changes to this bug.